Bug 185436 - devel/gmake default value of CXX is g++
Summary: devel/gmake default value of CXX is g++
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-03 09:20 UTC by Stephen Hurd
Modified: 2015-05-13 16:21 UTC (History)
3 users (show)

See Also:


Attachments
gmake-patch.txt (780 bytes, text/plain; charset=us-ascii)
2014-01-03 09:24 UTC, Stephen Hurd
no flags Details
Updated patch for 4.1 (852 bytes, patch)
2015-05-12 19:40 UTC, Stephen Hurd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2014-01-03 09:20:00 UTC
The devel/gmake port when installed defaults the CXX variable to g++ instead of c++.  This means that in a default FreeBSD 10 install, the built-in C++ rules are broken by default.

Fix: 

Change the default to c++... this appears to be the GCC compiler on older releases.
How-To-Repeat: Attempt to build a C++ progrma using the CXX variable on FreeBSD 10 without a g++ in the path.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-03 09:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->autotools

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Stephen Hurd freebsd_committer 2014-01-03 09:24:26 UTC
Patch follows:

Comment 3 Stephen Hurd freebsd_committer 2014-06-19 22:47:33 UTC
bump
Comment 4 commit-hook freebsd_committer 2014-09-27 20:25:30 UTC
A commit references this bug:

Author: bdrewery
Date: Sat Sep 27 20:24:44 UTC 2014
New revision: 369420
URL: https://svnweb.freebsd.org/changeset/ports/369420

Log:
  - Use c++ as default CXX rather than g++.

  PR:		185436
  Submitted by:	shurd
  Approved by:	maintainer timeout

Changes:
  head/devel/gmake/Makefile
  head/devel/gmake/files/patch-default.c
Comment 5 Stephen Hurd freebsd_committer 2015-05-12 19:37:48 UTC
Patch was lost in upgrade to 4.1 r370481.
Comment 6 Stephen Hurd freebsd_committer 2015-05-12 19:40:03 UTC
Created attachment 156728 [details]
Updated patch for 4.1
Comment 7 Baptiste Daroussin freebsd_committer 2015-05-12 22:41:57 UTC
Approved
Comment 8 commit-hook freebsd_committer 2015-05-13 16:19:49 UTC
A commit references this bug:

Author: shurd
Date: Wed May 13 16:19:38 UTC 2015
New revision: 386227
URL: https://svnweb.freebsd.org/changeset/ports/386227

Log:
  Use c++ as default CXX rather than g++.
  (Patch was lost in upgrade to 4.1)

  PR:		185436
  Approved by:	bapt

Changes:
  head/devel/gmake/files/patch-default.c
Comment 9 Stephen Hurd freebsd_committer 2015-05-13 16:21:32 UTC
Committed and PORTREVISION bumped (in separate commits, sorry).